@charset "UTF-8";
/* Core Stuff */
* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

/* Atkinson Hyperlegible Next Font Definitions */
@font-face {
  font-family:'AtkinsonHyperlegible';
  src: url('../fonts/Atkinson-Hyperlegible-Regular-102a.woff2') format('woff2');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family:'AtkinsonHyperlegible';
  src: url('../fonts/Atkinson-Hyperlegible-Italic-102a.woff2') format('woff2');
  font-weight: normal;
  font-style: italic;
  font-display: swap;
}

:root {
color-scheme: light;
--toggle-invert: invert(0);
}

&:has(#dark-mode-toggle:checked) {
color-scheme: dark;
--toggle-invert: invert(1);
}

@media (prefers-color-scheme: dark) {

:root {
color-scheme: dark;
--toggle-invert: invert(1);
}

&:has(#dark-mode-toggle:checked) {
  color-scheme: light;
  --toggle-invert: invert(0);
}
}

.toggle {
  display: inline-block;
  width: 20px;
  height: 20px;
  position: relative;
  cursor: pointer;
}

.toggle::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 26px;
  height: 26px;
  background: url(../images/dark-mode.png) no-repeat;
  filter: var(--toggle-invert);
  background-size: contain;
  transition: filter 0.3s;
}

#dark-mode-toggle {
  display: none;
}


html, body {
  scrollbar-gutter: stable;
  width: 100%;
  height: 100%; 
  font-family:'AtkinsonHyperlegible', sans-serif;
  font-size: 1.2rem;
  line-height: 1.7;
  color: light-dark(#000, #f6f6f6);
  background: light-dark(#fff, #1f1f1f);
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale; 	    
}

body {
  box-sizing: border-box;
  min-height: 100%;
  display: grid;
  grid-template-rows: auto 1fr auto;
  padding: 0px;
  margin: 0px;    
}
 
img {
  width: auto ;
  max-width: 100% ;
  height: auto ;
  max-height: 800px;
} 

h1,
h2,
h3,
h4,
h5,
h6 {
    color: light-dark(#1d1d1d, #f6f6f6);    
    /* color: #454B4D; */
}

a {
    color: #1F8CD6;
    text-decoration: none;
}

a:hover {
    color: #175E91;
}

pre {
    background: #F0F0F0;
    margin: 1rem 0;
    border-radius: 2px;
}

blockquote {
    border-left: 3px solid #1F8CD6;
    margin: 0;
    padding: 0 1rem;
}

/* Utility Classes --------------------------------------------------------------------------------------------------------- */
.wrapper {
    margin: 0 3rem;
}
  
.padding {
    padding: 3rem 0 0rem 0;
}

.center {
    display: block;
    margin-left: auto;
    margin-right: auto
}

.left {
    float: left;
    margin-right: 1rem;
}

.right {
    float: right;
    margin-left: 1rem !important;
}

.text-center {
    display: block;
    text-align: center;
}

.text-right {
    text-align: right;
}

.text-left {
    text-align: left;
}

.e-content .quote {
  margin-left: 10%; 
  width: 70%;
  font-size: 0.92em;
  line-height: 1.33em;
}

.e-content .quote-foot {
  font-size: 0.8em; 
  margin-left: 10%;
}

/* Content Styling --------------------------------------------------------------------------------------------------------- */
.sticky-header {
  padding: 0;
  margin: 0;
}

.header .padding {
    padding: 1rem 0;
}

.header {
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
}

.header a {
    color: light-dark(#000, #f6f6f6);
}

.header .logo {
    font-size: 1.7rem;
    text-transform: uppercase;
}

.base {
  display: flex;
  justify-content: space-between;
}

.blocker {
  margin-right: 1em;
  margin-left: 5.5em;
}

.content {
    max-width: 70rem;
    padding: 3rem 2rem 0rem 2rem;
    margin: 0 auto;
}

#body[data-state="hidden"] .content{
position:fixed;
top: 100vh;
margin: 0 auto;
overflow: hidden;
transition: 0.4s;
  }

.cfade {
position:fixed;
transition: 0.4s;
}

.top-back {
  margin: 0;
  font-size: 0.8em;
}

.footer {
  padding: 0;
	right:0; 
	left:0; 
  width: auto;  
  background: light-dark(#fff, #1f1f1f);
  font-size: 0.7em;
}

.footer[data-state="hidden"] {
  display: none;
}

/* Blog --------------------------------------------------------------------------------------------------------- */

.blog-header {
    max-width: 70rem;
    padding: 3rem 2rem 0rem 2rem;
    margin: 0 auto;
}

.no-list {
  margin: 0 -2rem 0 -2rem;
}

.list-item {
    margin: 0 2rem;
}

.list-blog-header {
    margin: 0;
}

.item-name {
    margin: 0;
}

.item-name p{
    margin: 0;
}

.list-blog-padding {
    padding:0;
}

.e-content {
    margin: 0;
    -webkit-hyphens: auto;
    -moz-hyphens: auto;
    -ms-hyphens: auto;
    hyphens: auto;
    -webkit-hyphenate-limit-before: 3;
    -webkit-hyphenate-limit-after: 3;
    -webkit-hyphenate-limit-chars: 6 3 3;
    -webkit-hyphenate-limit-lines: 2;
    -webkit-hyphenate-limit-last: always;   
    -webkit-hyphenate-limit-zone: 8%;
    hyphenate-limit-chars: 6 3 3;
    hyphenate-limit-lines: 2;
    hyphenate-limit-last: always;   
    hyphenate-limit-zone: 8%;
}

.e-content p{
    font-size: 0.92em;
    line-height: 1.33em;
    margin: 0 0 1rem;
    text-align: left;
}

  .image-row {
    display: block;
    width: 100%;              
    text-align: center;       
  }


  .image-row a img {
    max-width: 49%;           
    min-width: 200px;
    max-height: 60vh;
    height: auto;
    width: auto;
    margin: 0 0.1em 0 0.1em;
    display: inline-block;    
  }

.e-content ul li{
    font-size: 0.92em;
    line-height: 1.33em;
    margin: 0;
}

.e-content ul li::marker{
    content: "- ";
}

.e-content .footnotes ol{
  font-size: 0.8em;
}

.e-content .back {
  margin-top: 1rem;
}

.item-summary{
    padding: 0 0 1rem 0;
}

.item-summary p{
    margin: 0;
}

.blog-content.item {
    margin: 0;
}

/* Gallery -------------------------------------------------------------------------------------------------------------- */
.gallery img {
  width: 0%; 
  max-width: 200px;
  min-width: 100px;
  height: auto;
}

a[rel=lightbox] img {
  object-fit: contain;
  max-width: 49%; 
  min-width: 200px;
  max-height: 60vh; 
/*   min-height: 200px; */
}


/* Video Player -------------------------------------------------------------------------------------------------------------- */
.video {
    display: flex;
    max-width: 600px; 
    max-height: 600px; 
    padding-bottom: 0.5rem;
}

.audio {
    max-width: 400px; 
    padding-bottom: 0.5rem;
}

.video #video {
  width: 100%;
  height: 100%;
}

.audio #audio {
  width: 100%;
  max-height: 100px;
}

.videoContainer, #audioContainer {
    position:relative;
    margin: 0;
    padding: 0;
}

.loading-indicator {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 50%;
  width: 60px;
  height: 60px;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 10;
}

.loading-indicator[data-state="hidden"] {
display: none;
}

.spinner {
  width: 40px;
  height: 40px;
  border: 4px solid rgba(255, 255, 255, 0.3);
  border-top: 4px solid #ffffff;
  border-radius: 50%;
  animation: spin 1s linear infinite;
}

.spinnerplay{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-40%, -50%);
  border-left: 35px solid rgba(255, 255, 255, 0.7);
  border-top: 20px solid transparent;
  border-right: 0px solid transparent;
  border-bottom: 20px solid transparent;
}

.spinnerplay:hover{
  border-left: 35px solid #fff;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

#video-controls.controls {
  display: flex;
  align-items: center;
  overflow: hidden;
  width: 100%;
  height: 1.5rem;
  position: relative;
  bottom: 2.2rem;
  background-color: #1f1f1f65;
  border-radius: 5px;
  margin-bottom: -2rem;
}

#audio-controls.controls {
  display: flex;
  align-items: center;
  overflow: hidden;
  width: 100%;
  height: 1.5rem;
  position: relative;
  background-color: light-dark(#1f1f1f65, #f6f6f630); ;
  border-radius: 5px;
}

.controls[data-state="hidden"] {
  opacity: 0;
  transition: opacity 250ms;
}

.controls button {
  width: 1rem;
  height: 1rem;
  margin: 0 0.25rem;
  text-align: center;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  border: none;
  cursor: pointer;
  color: transparent;
  background-color: transparent;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

.controls button:hover {
  opacity: 0.5;
}

.controls button[data-state="play"] {
  background-image: url(../images/play.png);
}

.controls button[data-state="pause"] {
  background-image: url(../images/pause.png);
}

.controls button[data-state="mute"] {
  background-image: url(../images/mute.png);
}

.controls button[data-state="unmute"] {
  background-image: url(../images/unmute.png);
}

.controls button[data-state="vol-up"] {
  background-image: url(../images/volume.png);
}

.controls button[data-state="vol-down"] {
  background-image: url(../images/volume-down.png);
}

.controls button[data-state="go-fullscreen"] {
  background-image: url(../images/maximize.png);
}

.controls button[data-state="exit-fullscreen"] {
  background-image: url(../images/minimize.png);
}

.volume-control {
  display: inline-flex;
  align-items: center;
  margin: 0 10px;
  width: 80px;
  position: relative;
}

.volume-slider-container {
  display: flex;
  align-items: center;
  width: 80px;
}

#volume-slider {
  width: 100%;
  height: 5px;
  -webkit-appearance: none;
  appearance: none;
  background: rgba(255, 255, 255, 0.3);
  outline: none;
  border-radius: 5px;
  transition: opacity 0.2s;
}

#volume-slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 12px;
  height: 12px;
  background: white;
  border-radius: 50%;
  cursor: pointer;
}

#volume-slider::-moz-range-thumb {
  width: 12px;
  height: 12px;
  background: white;
  border-radius: 50%;
  cursor: pointer;
  border: none;
}

.controls .progress {
  flex-grow: 1;
  cursor: pointer;
  height: 33%;
}

.controls progress {
  display: block;
  width: 100%;
  height: 100%;
  border: none;
  background-color: #FFFFFF55;
  color: #0095dd;
  border-radius: 2px;
  margin: 0 auto;
}

.controls progress::-moz-progress-bar {
  background-color: #0095dd;
}

.controls progress::-webkit-progress-value {
  background-color: #0095dd;
}

.time-display {
  color: #FFFFFF;
  font-size: 0.7rem;
  text-align: center;
  margin: 1px 0.25rem 0 0.25rem;
  min-width: 4rem;
}

figure:fullscreen {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  max-width: 100%;
  height: 100%;
  background-color: transparent;
}
figure:fullscreen video {
  margin-top: auto;
  margin-bottom: auto;
}

figure:fullscreen #video {
  width: 100%;
  height: 100%;
}
figure:fullscreen .controls progress {
  display: block;
  width: 100%;
  height: 100%;
  border: none;
  background-color: #FFFFFF55;
  color: #0095dd;
  border-radius: 2px;
  margin: 0 auto;
}

figure:fullscreen .time-display {
  color: #FFFFFF;
  font-size: 1rem;
  text-align: center;
  margin: 1px 0.25rem 0 0.25rem;
  min-width: 6rem;
}

figure:fullscreen .controls {
  background-color: #1f1f1f65;
  border-radius: 5px;;
  z-index: 1000;
  height: 2rem;
  position: absolute;
/*   bottom: 1rem; */
  width: 95vw;
  align-self: center;
}

figure:fullscreen .controls button {
  width: 1.5rem;
  height: 1.5rem;
  margin: 0 0.5rem;
  text-align: center;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  border: none;
  cursor: pointer;
  color: transparent;
  background-color: transparent;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}


/* Menu Settings --------------------------------------------------------------------------------------------------------- */

.main-nav {
  display: flex;
}

.main-nav ul {
    text-align: center;
    letter-spacing: -1em;
    margin: 0;
    padding: 0;
}

.main-nav ul li {
    display: inline-block;
    letter-spacing: normal;
}

.main-nav ul li a {
    position: relative;
    display: block;
    line-height: 0px;
    color: #1F8DD6;
    padding: 0 20px;
    white-space: nowrap;
}

.main-nav > ul > li > a {
    border-radius: 2px;
}

/*Active dropdown nav item */
.main-nav ul li:hover > a {
    color: #175E91;
}

/* Selected Dropdown nav item */
.main-nav ul li.selected > a {
    color: light-dark(#000, #f6f6f6);
    text-decoration: underline;
    /* color: #175E91; */
}

/* Dropdown CSS */
.main-nav ul li {position: relative;}

.main-nav ul li ul {
    position: absolute;
    min-width: 100%;
    text-align: left;
    z-index: 999;

    display: none;
    padding: 2rem 0 0 0;
}
.main-nav ul li ul li {
    display: block;
}

/* Dropdown CSS */
.main-nav ul li ul ul {
    left: 100%;
    top: 0;
}

/* Active on Hover */
.main-nav li:hover > ul {
    display: block;
}

/* Child Indicator */
.main-nav .has-children > a {
    padding-right: 30px;
}
.main-nav .has-children > a:after {
    font-family: FontAwesome;
    content: '\f107';
    position: absolute;
    display: inline-block;
    right: 8px;
    top: 0;
}

.main-nav .has-children .has-children > a:after {
    content: '\f105';
}

/* mobile nav menu --------------------------------------------------------------------------------------------------------- */
#mobile-menu {
    display: none;
}

#menu-icon {
  margin: auto 0;
  cursor: pointer;
}

#menu-icon div {
  width: 35px;
  height: 3px;
  background-color: light-dark(#000, #f6f6f6);
  margin: 6px 0;
  transition: 0.4s
}

.open .upbar {
  -webkit-transform: rotate(-45deg) translate(-6px, 6px);
  transform: rotate(-45deg) translate(-6px, 6px);
}

.open .midbar {
  opacity: 0;
}

.open .downbar {
  -webkit-transform: rotate(45deg) translate(-6px, -8px);
  transform: rotate(45deg) translate(-6px, -8px);
}

.menu-list {
  display: flex;
  justify-content: center;
  opacity: 0;
  top: -100%;
  position: fixed;
  left: 0;
  min-width: 100%;
  font-size: 1.2rem;
  transition-property: top;
  transition: 0.4s
}

.menu-list ul {
list-style-type: none;
padding: 0;
}

.open .menu-list {
  display: flex;
  opacity: 1;
  position: fixed;
  justify-content: center;
  top: 3rem;
  background: light-dark(#fff, #1f1f1f);
  min-width: 100%;
  height: calc(100vh - 3rem);  
  transition: 0.4s;
}

.open .menu-list ul li.selected > a {
  color: light-dark(#000, #f6f6f6);
  text-decoration: underline;
}



/* pagination --------------------------------------------------------------------------------------------------------- */

.pagination {
	list-style: none;
	padding: 0;
	margin: 1rem 0 1rem;
	text-align: center;
}

.pagination li {
	display: inline-block;
}

.pagination a, .pagination span {
	display: inline-block;
	padding: 0 0.33rem;
}

.pag-prev {
  background: url(../images/prev.png) left 50% no-repeat;
  filter: invert(1);
  opacity: 0.5;
  -webkit-transition: opacity 0.6s;
  -moz-transition: opacity 0.6s;
  -o-transition: opacity 0.6s;
  transition: opacity 0.6s;
}

a.pag-prev {
  background: url(../images/prev.png) left 50% no-repeat;
  filter: invert(1);
  opacity: 0.5;
  -webkit-transition: opacity 0.6s;
  -moz-transition: opacity 0.6s;
  -o-transition: opacity 0.6s;
  transition: opacity 0.6s;
}

a.pag-prev:hover {
  opacity: 1;
}

.pag-next {
  background: url(../images/next.png) right 50% no-repeat;
  filter: invert(1);
  opacity: 1;
  -webkit-transition: opacity 0.6s;
  -moz-transition: opacity 0.6s;
  -o-transition: opacity 0.6s;
  transition: opacity 0.6s;
}

a.pag-next {
  background: url(../images/next.png) right 50% no-repeat;
  filter: invert(1);
  opacity: 0.5;
  -webkit-transition: opacity 0.6s;
  -moz-transition: opacity 0.6s;
  -o-transition: opacity 0.6s;
  transition: opacity 0.6s;
}

a.pag-next:hover {
  opacity: 1;
}


/* media screen size --------------------------------------------------------------------------------------------------------- */

@media screen and (max-width: 1200px){
    body {
        font-size: 1rem; }
    .wrapper {
      margin: 0 1.75rem;
    }
    .main-nav {
      position: absolute;
      right: 4em;
    }
    .list-item {
    margin: 0 1rem;
    }  
    .controls button {
      width: 0.75rem;
      height: 0.75rem;
      margin: 0 0.2rem;            
    }
    .time-display {
      font-size: 0.6rem;
      margin: 1px 0.2rem 0 0.2rem;
      min-width: 3rem;
    }    
    .controls .progress {
      flex-grow: 1;
      cursor: pointer;
      height: 25%;
    }    
  }

@media screen and (max-width: 768px){
    body {
      font-size: 0.75rem; }   
    .wrapper {
      margin: 0 1rem;
    }
    .main-nav{
      display: none;
    }
    #mobile-menu {
      display: block;
      font-size: 0.75rem; 
      padding-right: 22px;
      position: relative;
      top: -0.2em;
    }      
    .list-item {
      margin: 0;
    }
    .no-list {
      margin: 0 -1rem 0 -1rem;
    }     
    .blocker {
      margin-left:0;
    }  
    .content, .blog-header {
      padding: 2rem 1rem 0rem 1rem;
    }
    .controls .progress {
      flex-grow: 1;
      cursor: pointer;
      height: 35%;
    }    
    #fs{
      width: 1rem;
      height: 1rem;
      margin: 0 0.2rem;            
    }
    #video-controls.controls {
      margin-bottom: -1rem;
    }

    }